%define upstream_name	 Bot-BasicBot
%define upstream_version 0.89

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A simple IRC bot base class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/T/TO/TOMI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IRC::Utils)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::IRC) >= 6.620.0
BuildRequires: perl(Text::Wrap)
BuildArch:  noarch

%description
A basic bot system written in Perl, designed to make it easy to do simple bots,
optionally forking longer processes (like searches) concurrently in the
background.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# some backup files leaked, removing them
#find . -name "._*" | xargs rm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# tests try to connect to internet

%install
%{makeinstall_std}

%files
%doc Changes LICENSE META.json META.yml README examples
%{perl_vendorlib}/Bot/*
%{_mandir}/*/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.890.0-8pclos2017
- rebuild against updates

